Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ILinkedVecAgent

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IPointAgent
                  igeo.IDataAgent<T,IDoubleI>
                      igeo.ILinkedDataAgent<IVecI>
                          igeo.ILinkedVecAgent

All Implemented Interfaces:
  IArithmeticVal<IVecI,IDoubleI>, IDynamics, IParameter, ISubobject, ITransformable, IVal, IVecI, IVecOp

    public class ILinkedVecAgent

extends ILinkedDataAgent<IVecI>

Agent class with a generic data with links to other data agents

Author:
  Satoru Sugihara

Field Summary

Fields inherited from class igeo.ILinkedDataAgent
`fric, links, nextData`

Fields inherited from class igeo.IDataAgent
`data`

Fields inherited from class igeo.IPointAgent
`point, pos, tracker`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`ILinkedVecAgent()`
`ILinkedVecAgent(IVecI pos, IVecI val)`

Method Summary

Methods inherited from class igeo.ILinkedDataAgent
`clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, connect, create, fric, fric, hide, hsb, hsb, hsb, hsb, initLinkedDataAgent, interact, layer, name, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setData, setHSBColor, setHSBColor, setHSBColor, setHSBColor, show, update, weight, weight`

Methods inherited from class igeo.IDataAgent
`addData, getData`

Methods inherited from class igeo.IPointAgent
`add, add, add, add, add, add, add, angle, angle, angle, angle, angle, angle, angle, angle, attach, attach, bisect, bisect, brep, brep, brepNum, breps, cp, cp, cp, cp, cross, cross, curve, curve, curveNum, curves, del, del, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, div, div, dot, dot, dot, dot, dup, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, flip, geometries, geometry, geometry, geometryNum, get, getSize, getX, getY, getZ, hideGeometry, hidePoint, isValid, len, len, len, len, len, len2, len2, len2, mesh, mesh, meshes, meshNum, mid, mid, mirror, mirror, mirror, mirror, mul, mul, mv, mv, mv, neg, nml, nml, nml, nml, point, point, pointNum, points, pos, pos, position, position, ref, ref, ref, ref, rev, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, scale1d, scale1d, set, set, set, setSize, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, showGeometry, showPoint, size, size, sub, sub, sub, sum, sum, sum, sum, sum, sum, sum, surface, surface, surfaceNum, surfaces, to2d, to2d, to2d, to2d, to4d, to4d, to4d, toString, transform, transform, transform, transform, translate, translate, translate, unit, x, x, x, x, x, x, x, y, y, y, y, y, y, y, z, z, z, z, z, z, zero`

Methods inherited from class igeo.IAgent
`addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, target, target, targetNum, targets, time, time, updateGraphic, updateTarget`

Methods inherited from class igeo.IObject
`addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, castStringHashMap, clearDynamics, clearGraphics, clr, clr, clr, clr, clr, createGraphic, defaultAttribute, deleteGraphic, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setColor, setColor, setColor, setColor, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, userData, userData, userData, userDataNum, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ILinkedVecAgent

    public ILinkedVecAgent()

### ILinkedVecAgent

    public ILinkedVecAgent(IVecI pos,
                           IVecI val)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD